%define prefix /usr
%define name dia
%define version 0.84
%define release 5mdk
Requires: XFree86-ISO8859-2-75dpi-fonts

Summary: A gtk+ based diagram creation program.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Office
Source: http://www.lysator.liu.se/~alla/dia/%{name}-%{version}.tar.bz2
Source1: dia.menu
URL: http://www.lysator.liu.se/~alla/dia/dia.html
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
Dia is a program designed to be much like the Windows
program 'Visio'. It can be used to draw different kind of diagrams. In
this first version there is support for UML static structure diagrams
(class diagrams) and Network diagrams. It can currently load and save
diagrams to a custom fileformat and export to postscript.

%prep
%setup -q -n %{name}-%{version}

%build
if [ -x ./configure ]; then
  CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=%{prefix} --enable-gnome
else 
  CFLAGS=$RPM_OPT_FLAGS ./autogen.sh --prefix=%{prefix} --enable-gnome
fi  
make

%install
rm -fr $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip 
mv $RPM_BUILD_ROOT/usr/bin/dia $RPM_BUILD_ROOT/usr/bin/dia_orig
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/%{name}
install -m 755 -d $RPM_BUILD_ROOT/usr/share/icons  
install -m 644 dia.xpm $RPM_BUILD_ROOT/usr/share/icons/  


# To prevent crash
cat << EOF > $RPM_BUILD_ROOT/usr/bin/dia
unset LANG LANGUAGE LC_MESSAGES
exec /usr/bin/dia_orig
EOF

chmod 755 $RPM_BUILD_ROOT/usr/bin/dia


%clean
rm -fr $RPM_BUILD_ROOT

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi                       

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  

%files
%defattr(-,root,root)
%doc README TODO NEWS INSTALL COPYING ChangeLog AUTHORS
%{prefix}/bin/dia
%{prefix}/bin/dia_orig
%{prefix}/lib/dia
%{prefix}/share/dia
%{prefix}/share/pixmaps/dia_gnome_icon.png
/usr/lib/menu/%{name}
/usr/share/icons/dia.xpm

%changelog
* Fri May  5 2000 Vincent Saugey <vince@mandrakesoft.com> 0.84-5mdk
- Remove locale to prevent crash

* Fri Apr 28 2000 Vincent Saugey <vince@mandrakesoft.com> 0.84-4mdk
- Add dependencie to ISO font

* Mon Apr 17 2000 Vincent Saugey <vince@mandrakesoft.com> 0.84-3mdk
- Corrected group
- Add icon

* Mon Mar 27 2000 Vincent Saugey <vince@mandrakesoft.com> 0.84-2mdk
- add menu


* Mon Mar 07 2000 Vincent Saugey <vince@mandrakesoft.com> 0.84-1mdk
- v0.84


* Mon Jan 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 
- v0.83
- used srpm provided by Gwenael Letellier <gwenael@linux-mandrake.com>


* Mon Dec 20 1999 Lenny Cartier <lenny@mandrakesoft.com>
 
- bz2 archive
 
* Fri Dec 17 1999 Frederic Lepied <flepied@mandrakesoft.com>
 
- 0.82
- first mandrake version.
 
* Sun Oct 17 1999 Miles Lott <milos@insync.net>
 
- Build for 0.80
- added version string to setup line
 
* Sun Sep 05 1999 James Henstridge <james@daa.com.au>
 
- added $(prefix)/share/dia to files list.
 
* Thu Apr 29 1999 Enrico Scholz <enrico.scholz@wirtschaft.tu-chemnitz.de>
 
- Made %setup quiet
- Enabled build from cvs
- Removed superfluous mkdir's
- using DESTDIR and install-strip
 
* Fri Aug 28 1998 Francis J. Lacoste <francis@Contre.COM>
 
- First RPM release.
                        


